Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.vecmath
Class Tuple3f

    java.lang.Object
      javax.vecmath.Tuple3f

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  Color3f, Point3f, Vector3f

    public abstract class Tuple3f

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

A generic 3 element tuple that is represented by single precision floating point x,y and z coordinates.

Author:
  Kenji hiranabe
See Also:
  Serialized Form

Field Summary
`float` | `x` The x coordinate.
`float` | `y` The y coordinate.
`float` | `z` The z coordinate.

Constructor Summary
`Tuple3f()` Constructs and initializes a Tuple3f to (0,0,0).
`Tuple3f(float[] t)` Constructs and initializes a Tuple3f from the specified array.
`Tuple3f(float x, float y, float z)` Constructs and initializes a Tuple3f from the specified xyz coordinates.
`Tuple3f(Tuple3d t1)` Constructs and initializes a Tuple3f from the specified Tuple3d.
`Tuple3f(Tuple3f t1)` Constructs and initializes a Tuple3f from the specified Tuple3f.

Method Summary
`void` | `absolute()` Sets each component of this tuple to its absolute value.
`void` | `absolute(Tuple3f t)` Sets each component of the tuple parameter to its absolute value and places the modified values into this tuple.
`void` | `add(Tuple3f t1)` Sets the value of this tuple to the vector sum of itself and tuple t1.
`void` | `add(Tuple3f t1, Tuple3f t2)` Sets the value of this tuple to the vector sum of tuples t1 and t2.
`void` | `clamp(float min, float max)` Clamps this tuple to the range [low, high].
`void` | `clamp(float min, float max, Tuple3f t)` Clamps the tuple parameter to the range [low, high] and places the values into this tuple.
`void` | `clampMax(float max)` Clamps the maximum value of this tuple to the max parameter.
`void` | `clampMax(float max, Tuple3f t)` Clamps the maximum value of the tuple parameter to the max parameter and places the values into this tuple.
`void` | `clampMin(float min)` Clamps the minimum value of this tuple to the min parameter.
`void` | `clampMin(float min, Tuple3f t)` Clamps the minimum value of the tuple parameter to the min parameter and places the values into this tuple.
`abstract java.lang.Object` | `clone()`
`boolean` | `epsilonEquals(Tuple3f t1, float epsilon)` Returns true if the L-infinite distance between this tuple and tuple t1 is less than or equal to the epsilon parameter, otherwise returns false.
`boolean` | `equals(java.lang.Object o1)`
`boolean` | `equals(Tuple3f t1)` Returns true if all of the data members of Tuple3f t1 are equal to the corresponding data members in this
`void` | `get(float[] t)` Copies the value of the elements of this tuple into the array t[].
`void` | `get(Tuple3f t)` Gets the value of this tuple and copies the values into the Tuple3f.
`int` | `hashCode()` Returns a hash number based on the data values in this object.
`void` | `interpolate(Tuple3f t1, float alpha)` Linearly interpolates between this tuple and tuple t1 and places the result into this tuple: this = (1-alpha)*this + alpha*t1.
`void` | `interpolate(Tuple3f t1, Tuple3f t2, float alpha)` Linearly interpolates between tuples t1 and t2 and places the result into this tuple: this = (1-alpha)*t1 + alpha*t2.
`void` | `negate()` Negates the value of this vector in place.
`void` | `negate(Tuple3f t1)` Sets the value of this tuple to the negation of tuple t1.
`void` | `scale(float s)` Sets the value of this tuple to the scalar multiplication of itself.
`void` | `scale(float s, Tuple3f t1)` Sets the value of this tuple to the scalar multiplication of tuple t1.
`void` | `scaleAdd(float s, Tuple3f t1)` Sets the value of this tuple to the scalar multiplication of itself and then adds tuple t1 (this = s*this + t1).
`void` | `scaleAdd(float s, Tuple3f t1, Tuple3f t2)` Sets the value of this tuple to the scalar multiplication of tuple t1 and then adds tuple t2 (this = s*t1 + t2).
`void` | `set(float[] t)` Sets the value of this tuple from the 3 values specified in the array.
`void` | `set(float x, float y, float z)` Sets the value of this tuple to the specified xyz coordinates.
`void` | `set(Tuple3d t1)` Sets the value of this tuple to the value of the Tuple3d argument.
`void` | `set(Tuple3f t1)` Sets the value of this tuple to the value of the Tuple3f argument.
`void` | `sub(Tuple3f t1)` Sets the value of this tuple to the vector difference of itself and tuple t1 (this = this - t1).
`void` | `sub(Tuple3f t1, Tuple3f t2)` Sets the value of this tuple to the vector difference of tuple t1 and t2 (this = t1 - t2).
`java.lang.String` | `toString()` Returns a string that contains the values of this Tuple3f.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public float x

  The x coordinate.

### y

    public float y

  The y coordinate.

### z

    public float z

  The z coordinate.

Constructor Detail

### Tuple3f

    public Tuple3f()

  Constructs and initializes a Tuple3f to (0,0,0).

### Tuple3f

    public Tuple3f(float[] t)

  Constructs and initializes a Tuple3f from the specified array.

  Parameters:
    `t` - the array of length 3 containing xyz in order

### Tuple3f

    public Tuple3f(float x,
                   float y,
                   float z)

  Constructs and initializes a Tuple3f from the specified xyz coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate

### Tuple3f

    public Tuple3f(Tuple3d t1)

  Constructs and initializes a Tuple3f from the specified Tuple3d.

  Parameters:
    `t1` - the Tuple3d containing the initialization x y z data

### Tuple3f

    public Tuple3f(Tuple3f t1)

  Constructs and initializes a Tuple3f from the specified Tuple3f.

  Parameters:
    `t1` - the Tuple3f containing the initialization x y z data

Method Detail

### absolute

    public final void absolute()

  Sets each component of this tuple to its absolute value.

### absolute

    public final void absolute(Tuple3f t)

  Sets each component of the tuple parameter to its absolute value and places the modified values into this tuple.

  Parameters:
    `t` - the source tuple, which will not be modified

### add

    public final void add(Tuple3f t1)

  Sets the value of this tuple to the vector sum of itself and tuple t1.

  Parameters:
    `t1` - the other tuple

### add

    public final void add(Tuple3f t1,
                          Tuple3f t2)

  Sets the value of this tuple to the vector sum of tuples t1 and t2.

  Parameters:
    `t1` - the first tuple
    `t2` - the second tuple

### clamp

    public final void clamp(float min,
                            float max)

  Clamps this tuple to the range [low, high].

  Parameters:
    `min` - the lowest value in this tuple after clamping
    `max` - the highest value in this tuple after clamping

### clamp

    public final void clamp(float min,
                            float max,
                            Tuple3f t)

  Clamps the tuple parameter to the range [low, high] and places the values into this tuple.

  Parameters:
    `min` - the lowest value in the tuple after clamping
    `max` - the highest value in the tuple after clamping
    `t` - the source tuple, which will not be modified

### clampMax

    public final void clampMax(float max)

  Clamps the maximum value of this tuple to the max parameter.

  Parameters:
    `max` - the highest value in the tuple after clamping

### clampMax

    public final void clampMax(float max,
                               Tuple3f t)

  Clamps the maximum value of the tuple parameter to the max parameter and places the values into this tuple.

  Parameters:
    `max` - the highest value in the tuple after clamping
    `t` - the source tuple, which will not be modified

### clampMin

    public final void clampMin(float min)

  Clamps the minimum value of this tuple to the min parameter.

  Parameters:
    `min` - the lowest value in this tuple after clamping

### clampMin

    public final void clampMin(float min,
                               Tuple3f t)

  Clamps the minimum value of the tuple parameter to the min parameter and places the values into this tuple.

  Parameters:
    `min` - the lowest value in the tuple after clamping

### clone

    public abstract java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### epsilonEquals

    public boolean epsilonEquals(Tuple3f t1,
                                 float epsilon)

  Returns true if the L-infinite distance between this tuple and tuple t1 is less than or equal to the epsilon parameter, otherwise returns false. The L-infinite distance is equal to MAX[abs(x1-x2), abs(y1-y2)].

  Parameters:
    `t1` - the tuple to be compared to this tuple
    `epsilon` - the threshold value

### equals

    public boolean equals(java.lang.Object o1)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Tuple3f t1)

  Returns true if all of the data members of Tuple3f t1 are equal to the corresponding data members in this

  Parameters:
    `t1` - the vector with which the comparison is made.

### get

    public final void get(float[] t)

  Copies the value of the elements of this tuple into the array t[].

  Parameters:
    `t` - the array that will contain the values of the vector

### get

    public final void get(Tuple3f t)

  Gets the value of this tuple and copies the values into the Tuple3f.

  Parameters:
    `t` - Tuple3f object into which that values of this object are copied

### hashCode

    public int hashCode()

  Returns a hash number based on the data values in this object. Two different Tuple3f objects with identical data values (ie, returns true for equals(Tuple3f) ) will return the same hash number. Two vectors with different data members may return the same hash value, although this is not likely.

  Overrides:
    `hashCode` in class `java.lang.Object`

### interpolate

    public final void interpolate(Tuple3f t1,
                                  float alpha)

  Linearly interpolates between this tuple and tuple t1 and places the result into this tuple: this = (1-alpha)*this + alpha*t1.

  Parameters:
    `t1` - the first tuple
    `alpha` - the alpha interpolation parameter

### interpolate

    public final void interpolate(Tuple3f t1,
                                  Tuple3f t2,
                                  float alpha)

  Linearly interpolates between tuples t1 and t2 and places the result into this tuple: this = (1-alpha)*t1 + alpha*t2.

  Parameters:
    `t1` - the first tuple
    `t2` - the second tuple
    `alpha` - the alpha interpolation parameter

### negate

    public final void negate()

  Negates the value of this vector in place.

### negate

    public final void negate(Tuple3f t1)

  Sets the value of this tuple to the negation of tuple t1.

  Parameters:
    `t1` - the source vector

### scale

    public final void scale(float s)

  Sets the value of this tuple to the scalar multiplication of itself.

  Parameters:
    `s` - the scalar value

### scale

    public final void scale(float s,
                            Tuple3f t1)

  Sets the value of this tuple to the scalar multiplication of tuple t1.

  Parameters:
    `s` - the scalar value
    `t1` - the source tuple

### scaleAdd

    public final void scaleAdd(float s,
                               Tuple3f t1)

  Sets the value of this tuple to the scalar multiplication of itself and then adds tuple t1 (this = s*this + t1).

  Parameters:
    `s` - the scalar value
    `t1` - the tuple to be added

### scaleAdd

    public final void scaleAdd(float s,
                               Tuple3f t1,
                               Tuple3f t2)

  Sets the value of this tuple to the scalar multiplication of tuple t1 and then adds tuple t2 (this = s*t1 + t2).

  Parameters:
    `s` - the scalar value
    `t1` - the tuple to be multipled
    `t2` - the tuple to be added

### set

    public final void set(float[] t)

  Sets the value of this tuple from the 3 values specified in the array.

  Parameters:
    `t` - the array of length 3 containing xyz in order

### set

    public final void set(float x,
                          float y,
                          float z)

  Sets the value of this tuple to the specified xyz coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate

### set

    public final void set(Tuple3d t1)

  Sets the value of this tuple to the value of the Tuple3d argument.

  Parameters:
    `t1` - the tuple to be copied

### set

    public final void set(Tuple3f t1)

  Sets the value of this tuple to the value of the Tuple3f argument.

  Parameters:
    `t1` - the tuple to be copied

### sub

    public final void sub(Tuple3f t1)

  Sets the value of this tuple to the vector difference of itself and tuple t1 (this = this - t1).

  Parameters:
    `t1` - the other tuple

### sub

    public final void sub(Tuple3f t1,
                          Tuple3f t2)

  Sets the value of this tuple to the vector difference of tuple t1 and t2 (this = t1 - t2).

  Parameters:
    `t1` - the first tuple
    `t2` - the second tuple

### toString

    public java.lang.String toString()

  Returns a string that contains the values of this Tuple3f. The form is (x,y,z).

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String representation

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD